ARM kernel patch

Umar Qureshey uq at ecs.fullerton.edu
Tue Oct 19 04:44:05 CEST 2004


Hi,

I just downloaded RTAI 3.1.  I noticed that in the rtai-core/arch/arm/
directory, the patch is for kernel v2.4.19.  The kernel that I am working
with is v2.4.18rmk6.  Do I have to upgrade the kernel to v2.4.19 before I
can apply these patches?  Is it possible for me to manually apply these
patches to a 2.4.18 kernel or is there some critical thing which 2.4.19
has that I absolutely cannot do without?  Which would be the sane way to
go?

Also, for an ARM 7212 processor, which patch would I use (there are three)?  I am
conjecturing it is patch-2.4.19-rmk-arm-rthal5; is this correct?

Any help is appreciated from those that know.

Regards,

Umar






More information about the Rtai mailing list